Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004467 [JEDI VCL] 00 JVCL Components minor always 2008-09-21 19:48 2008-09-29 06:31
Reporter Aleksoid1978 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004467: Bug in TJvMemoryData.GetFieldData + Delphi 2009
Description in function TJvMemoryData.GetFieldData, subfunction BufferLen under Delphi 2009 always return 0:

    Result := 0;
    if Buffer <> nil then
    begin
      while Buffer[Result] <> 0 do begin
        Inc(Buffer);
      end;
    end;

need change to:

    Result := 0;
    if Buffer <> nil then
    begin
      while Buffer[Result] <> 0 do begin
        Inc(Result);
      end;
    end;
Additional Information changed source in attach ...
Tags No tags attached.
Attached Files rar file icon JvMemoryDataset.rar [^] (12,108 bytes) 2008-09-21 19:48

- Relationships
has duplicate 0004484resolvedobones JvMemoryData doesn't display field information when it is filled. 

-  Notes
(0014633)
Aleksoid1978 (reporter)
2008-09-21 19:52

And so all the string's type field returned empty.
(0014716)
obones (administrator)
2008-09-29 06:30

Thanks.
This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2008-09-21 19:48 Aleksoid1978 New Issue
2008-09-21 19:48 Aleksoid1978 File Added: JvMemoryDataset.rar
2008-09-21 19:52 Aleksoid1978 Note Added: 0014633
2008-09-28 23:58 obones Relationship added related to 0004484
2008-09-29 06:30 obones Status new => resolved
2008-09-29 06:30 obones Fixed in Version => Daily / SVN
2008-09-29 06:30 obones Resolution open => fixed
2008-09-29 06:30 obones Assigned To => obones
2008-09-29 06:30 obones Note Added: 0014716
2008-09-29 06:31 obones Relationship replaced has duplicate 0004484


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker